#pragma once

#include <QVector>
#include <QObject>

class RandomModel : public QObject {
	Q_OBJECT

	void compute() const {
		QVector<int> data(256);
		for(int i=0; i<data.size(); ++i) {
			data[i] = rand() % 50;
		}
		emit dataComputed(data);
	}

public:
	RandomModel() { }
	~RandomModel() { }

public slots:
	void requireCompute() {
		compute();
	}

signals:
	void dataComputed(QVector<int>& data) const;
};